Need help after updating my Wii soft mod

Discussion in 'Wii - Hacking' started by johnny-sasaki, May 26, 2014.

  1. johnny-sasaki
    OP

    johnny-sasaki Member

    Newcomer
    21
    4
    Jan 4, 2011
    Brazil
    so,I updated my Homebrew Channel,I updated my firmware to 4.3u recently and I followed the steps from this tutorial to run the most recent cfg USB Loader.:

    http://gwht.wikidot.com/ios236

    http://gwht.wikidot.com/d2x

    http://gwht.wikidot.com/usb-loader

    I followed everything and thus I can play my Wii games on my HDD once again.The problem,though,is that I can't play most of my games installed through wads.The games actually run normal on the console,but if I move them to my SD Card and try to play them from there,the "failed to load" message shows up.It was my only way to play the Donkey Kong Country games for the SNES since I only got a Wii after Nintendo removed them from their store.I tested installing other WiiWare and VC wads,and they all run normal on the console,but only a few still work if you move them to the SD Card,and the rest shows the failed to load message,and you can't even move them back to the console so I have to erase those.Is there a solution to this?
     
  2. elmoemo

    elmoemo GBAtemp Advanced Fan

    Member
    568
    122
    Dec 4, 2012
    Wads have to be installed AFAIK but you could install an emulator and put ROMs on the SD card
     
  3. johnny-sasaki
    OP

    johnny-sasaki Member

    Newcomer
    21
    4
    Jan 4, 2011
    Brazil
    are the emulators good on Wii?I think that changing something on the IOS may solve the problem,but I only strictly followed those tutorials above and won't touch anything unless somebody here tells me for sure what to do since I'm a noob and scared to brick my Wii...
     
  4. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,097
    5,169
    Mar 17, 2010
    Norway
    Alola
    You will have to patch the signature check in the system menu IOS to play games from the SD card. (Edit: For 4.3 this is IOS80)
    It can be done with DOP-Mii, MMM or similar, but it's a bit risky since without BootMii as boot2, if the install for some reason goes wrong (it shouldn't), you'll end up with a permanent brick unless you use a hardware flasher to flash a new NAND, and that requires soldering skill.

    If you have BootMii as boot2, all's good, you'll be able to recover from most kinds of bricks including that one. Just make sure to make a NAND backup beforehand (this is a good idea anyway when doing any sort of hacking on a Wii, even if you don't have BootMii as boot2)

    I've done that mod on a couple Wiis without BootMii as boot2 though as well as several with, and it's never gone wrong. But if you decide to attempt it, it's at your own risk.
     
  5. johnny-sasaki
    OP

    johnny-sasaki Member

    Newcomer
    21
    4
    Jan 4, 2011
    Brazil
    but for something to go wrong,it would have to be something like a power outage,right?many tutorials recommend to never mod the Wii during stormy days,anyway.Are the chances of bricking that high during the procedure?Do you have a good tutorial for IOS80?
     
  6. johnny-sasaki
    OP

    johnny-sasaki Member

    Newcomer
    21
    4
    Jan 4, 2011
    Brazil
    okay,I searched for something on ModMii and I found the IOS80-64-v6944.wad.Should I install that?how should I install it?Will it solve the issue for good?
     
  7. DaMan4169

    DaMan4169 Advanced Member

    Newcomer
    95
    4
    Aug 12, 2009
    United States
    That not the patched IOS80 from Modmii, the patched one is IOS80v16174(IOS60v6174[FS-ES-NP-VP-DIP]).wad
    It is based off the IOS60 used by 4.0/4.1 before the futile attempts to block homebrew and is labeled as v16174 to appear to be a newer version than the official Nintendo IOS80.

    If you ran Modmii the default directory for wads to be installed when modding is C:\Modmii\COPY_TO_SD\WAD\

    You should just do the Modmii guide, that guide you ran had you install d2x v6 when the last "stable" release was v8 even though v9 and v10 betas have been tested w/o major issues. Just be sure to do the Priiloader part of the Modmii guide to block updates.